org.eclipse.zest.layouts

## Interface NestedLayoutEntity

All Superinterfaces:
  java.lang.Comparable, LayoutEntity, LayoutItem

    public interface NestedLayoutEntity
    extends LayoutEntity

Extends LayoutEntity to provide methods for dealing with nested entities.

### Field Summary

### Fields inherited from interface org.eclipse.zest.layouts.LayoutEntity

`ATTR_PREFERRED_HEIGHT, ATTR_PREFERRED_WIDTH`

### Method Summary

Methods
`java.util.List` `getChildren()` Returns the list of children.
`NestedLayoutEntity` `getParent()` Returns the parent entity.
`boolean` `hasChildren()` Returns true if this entity has children.

### Methods inherited from interface org.eclipse.zest.layouts.LayoutEntity

`getHeightInLayout, getLayoutInformation, getWidthInLayout, getXInLayout, getYInLayout, populateLayoutConstraint, setLayoutInformation, setLocationInLayout, setSizeInLayout`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.zest.layouts.LayoutItem

`getGraphData, setGraphData`

### Method Detail

#### getParent

    NestedLayoutEntity getParent()

Returns the parent entity.

#### getChildren

    java.util.List getChildren()

Returns the list of children.

#### hasChildren

    boolean hasChildren()

Returns true if this entity has children.